<?php
function actualizar_usuario($post){
	if(!is_array($post)){
		$post = JSON::json2array($post);
	}
	$rs = new xajaxResponse();
	$post['nombre']=trim($post['nombre']);
	$post['ap_paterno']=trim($post['ap_paterno']);
	$post['ap_materno']=trim($post['ap_materno']);
	$post['correo']=trim($post['correo']);
	$post['contrasena']=trim($post['contrasena']);
	$post['cNueva']=trim($post['cNueva']);
	$post['rContrasena']=trim($post['rContrasena']);
	$rs->assign('mAcierto','style.display','none');
	$rs->assign('mError','style.display','none');
	$mError = '';
	if(!empty($post['nombre']) && strlen($post['nombre'])>100){
		$mError .= '<div>Error en el nombre.</div>';
	}
	if(!empty($post['ap_paterno']) && strlen($post['ap_paterno'])>50){
		$mError .= '<div>Error en el apellido paterno.</div>';
	}
	if(!empty($post['ap_materno']) && strlen($post['ap_materno'])>50){
		$mError .= '<div>Error en el apellido materno.</div>';
	}
	if(empty($post['correo']) || strlen($post['correo'])>100 || !Validacion::correo($post['correo'])){
		$mError .= '<div>Error en el correo.</div>';
	}
	if(empty($post['contrasena']) && !empty($post['cNueva']) && !empty($post['rContrasena'])){
		$mError .= '<div>Error en la contrase&ntilde;a.</div>';
	}
	if(!empty($post['cNueva']) && !empty($post['rContrasena']) && $post['cNueva']!=$post['rContrasena']){
		$mError .= '<div>La contraseña nueva es distinta a la repetici&oacute;n.</div>';
	}
	$usu = new UEstacionamiento();
	$rs->script('$("html, body").animate({scrollTop:0},"slow");');
	if(empty($mError) && $usu->actualizarDatos($post['nombre'],$post['ap_paterno'],$post['ap_materno'],$post['correo'],$post['contrasena'],$post['cNueva'])){
		$rs->assign('mAcierto','innerHTML','Su informaci&oacute;n se actualizo correctamente.');
		$rs->script('$("#mAcierto").slideDown();');
		return $rs;
	}else{
		$mError.='<div>No se actualizo correctamente su informaci&oacute;n.</div>';
	}
	$rs->assign('mError','innerHTML',$mError);
	$rs->script('$("#mError").slideDown();');
	return $rs;
}

function actualizar_estacionamiento($post){
	if(!is_array($post)){
		$post = JSON::json2array($post);
	}
	$rs = new xajaxResponse();
	$post['nombre']=trim($post['nombre']);
	$post['telefono']=trim($post['telefono']);
	$post['latitud']=trim($post['latitud']);
	$post['longitud']=trim($post['longitud']);
	$post['direccion']=trim($post['direccion']);
	$post['horario']=trim($post['horario']);
	$post['descripcion']=trim($post['descripcion']);
	$rs->assign('mAcierto','style.display','none');
	$rs->assign('mError','style.display','none');
	$mError = '';
	if(!empty($post['nombre']) && strlen($post['nombre'])>100){
		$mError .= '<div>Error en el nombre.</div>';
	}
	if(!empty($post['telefono']) && strlen($post['telefono'])>12){
		$mError .= '<div>Error en el tel&eacute;fono.</div>';
	}
	if(empty($post['latitud']) || !is_numeric($post['longitud']) || $post['longitud'] < -90 || $post['longitud'] > 90){
		$mError .= '<div>Error en el latitud.</div>';
	}
	if(empty($post['longitud']) || !is_numeric($post['longitud']) || $post['longitud'] < -180 || $post['longitud'] > 180){
		$mError .= '<div>Error en la longitud.</div>';
	}
	if(empty($post['direccion']) || strlen($post['direccion'])>200){
		$mError .= '<div>Error en la direcci&oacute;n.</div>';
	}
	if(!empty($post['horario']) && strlen($post['horario'])>300){
		$mError .= '<div>Error en el horario.</div>';
	}
	if(!empty($post['descripcion']) && strlen($post['horario'])>1000){
		$mError .= '<div>Error en la descripci&oacute;n.</div>';
	}
	$est = new Estacionamiento();
	$rs->script('$("html, body").animate({scrollTop:0},"slow");');
	if(empty($mError) && $est->actualizarDatos($_SESSION['usuario']['estacionamiento'],$post['nombre'],$post['telefono'],$post['latitud'],$post['longitud'],$post['direccion'],$post['horario'],$post['descripcion'])){
		$rs->assign('mAcierto','innerHTML','La informaci&oacute;n del estacionamiento se actualizo correctamente.');
		$rs->script('$("#mAcierto").slideDown();');
		return $rs;
	}else{
		$mError.='<div>No se actualizo correctamente la informaci&oacute;n del estacionamiento.</div>';
	}
	$rs->assign('mError','innerHTML',$mError);
	$rs->script('$("#mError").slideDown();');
	return $rs;
}

// $xajax->configure('debug', true);
// $xajax->configure('errorHandler',true);
// $xajax->configure('logFile','xajax_error_log.log');
$xajax->register(XAJAX_FUNCTION,'actualizar_usuario');
$xajax->register(XAJAX_FUNCTION,'actualizar_estacionamiento');
?>